GridExportOptions

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.export.java
Class GridExportOptions

    java.lang.Object
      org.openswing.swing.export.java.ComponentExportOptions
          org.openswing.swing.export.java.GridExportOptions

All Implemented Interfaces:
  java.io.Serializable

public class GridExportOptions
extends ComponentExportOptions
implements java.io.Serializable

Title: OpenSwing Framework

Description: Export information needed to export data related to a grid on the server side.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_CHECK`
`static int` | `TYPE_COMBO`
`static int` | `TYPE_CURRENCY`
`static int` | `TYPE_DATE`
`static int` | `TYPE_DATE_TIME`
`static int` | `TYPE_DEC`
`static int` | `TYPE_INT`
`static int` | `TYPE_LOOKUP`
`static int` | `TYPE_PERC`
`static int` | `TYPE_TEXT`
`static int` | `TYPE_TIME`

Constructor Summary

`GridExportOptions(java.util.ArrayList exportColumns, java.util.ArrayList exportAttrColumns, java.util.Map filteredColumns, java.util.ArrayList currentSortedColumns, java.util.ArrayList currentSortedVersusColumns, java.util.Map otherGridParams, int maxRows, java.lang.Class valueObjectType, GridDataLocator gridDataLocator, java.util.Hashtable columnsWidth, java.util.Hashtable columnsType, java.util.Hashtable attributeDescriptions, java.util.ArrayList topRows, java.util.ArrayList bottomRows)`
Method called by Grid.

Method Summary
`java.util.ArrayList` | `getBottomRows()`
`GridExportCallbacks` | `getCallbacks()`
`java.util.Hashtable` | `getColumnsType()`
`java.util.Hashtable` | `getColumnsWidth()`
`java.util.ArrayList` | `getCurrentSortedColumns()`
`java.util.ArrayList` | `getCurrentSortedVersusColumns()`
`java.util.ArrayList` | `getExportAttrColumns()`
`java.util.ArrayList` | `getExportColumns()`
`java.util.Map` | `getFilteredColumns()`
`java.lang.String[]` | `getFilteringConditions()`
`GridDataLocator` | `getGridDataLocator()`
`int` | `getMaxRows()`
`java.util.Map` | `getOtherGridParams()`
`java.lang.String` | `getServerMethodName()`
`java.lang.String` | `getTitle()`
`java.util.ArrayList` | `getTopRows()`
`java.lang.Class` | `getValueObjectType()`
`void` | `setCallbacks(GridExportCallbacks callbacks)` Set callbacks callbacks to invoke when exporting grid.
`void` | `setGridDataLocator(GridDataLocator gridDataLocator)` Set the grid data locator.
`void` | `setServerMethodName(java.lang.String serverMethodName)` Set the server method name to invoke on the server.
`void` | `setShowFilteringConditions(boolean showFilteringConditions)` Used to add a filter panel on top of the grid, in order to show filtering conditions.
`void` | `setTitle(java.lang.String title)` Set the export document title.

Methods inherited from class org.openswing.swing.export.java.ComponentExportOptions
`getCellsContent, setCellsContent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_TEXT

    public static final int TYPE_TEXT

See Also:
  Constant Field Values

### TYPE_DATE

    public static final int TYPE_DATE

See Also:
  Constant Field Values

### TYPE_DATE_TIME

    public static final int TYPE_DATE_TIME

See Also:
  Constant Field Values

### TYPE_TIME

    public static final int TYPE_TIME

See Also:
  Constant Field Values

### TYPE_INT

    public static final int TYPE_INT

See Also:
  Constant Field Values

### TYPE_DEC

    public static final int TYPE_DEC

See Also:
  Constant Field Values

### TYPE_CHECK

    public static final int TYPE_CHECK

See Also:
  Constant Field Values

### TYPE_COMBO

    public static final int TYPE_COMBO

See Also:
  Constant Field Values

### TYPE_LOOKUP

    public static final int TYPE_LOOKUP

See Also:
  Constant Field Values

### TYPE_PERC

    public static final int TYPE_PERC

See Also:
  Constant Field Values

### TYPE_CURRENCY

    public static final int TYPE_CURRENCY

See Also:
  Constant Field Values

Constructor Detail

### GridExportOptions

    public GridExportOptions(java.util.ArrayList exportColumns,
                             java.util.ArrayList exportAttrColumns,
                             java.util.Map filteredColumns,
                             java.util.ArrayList currentSortedColumns,
                             java.util.ArrayList currentSortedVersusColumns,
                             java.util.Map otherGridParams,
                             int maxRows,
                             java.lang.Class valueObjectType,
                             GridDataLocator gridDataLocator,
                             java.util.Hashtable columnsWidth,
                             java.util.Hashtable columnsType,
                             java.util.Hashtable attributeDescriptions,
                             java.util.ArrayList topRows,
                             java.util.ArrayList bottomRows)

  Method called by Grid.

Parameters:
  `exportColumns` - column identifiers related to columns to export
  `exportAttrColumns` - attribute names related to the columns to export
  `filteredColumns` - filtered columns; collection of pairs: attributeName, FilterWhereClause[2]
  `currentSortedColumns` - sorted columns
  `currentSortedVersusColumns` - ordering versus of sorted columns
  `otherGridParams` - other grid parameters
  `maxRows` - maximum number of rows to export
  `valueObjectType` - v.o. type
  `gridDataLocator` - grid data locator
  `columnsWidth` - columns width
  `columnsType` - columns type
  `attributeDescriptions` - collection of pairs
  `topRows` - list of locked rows at the top of the grid
  `bottomRows` - list of locked rows at the bottom of the grid

Method Detail

### getExportAttrColumns

    public final java.util.ArrayList getExportAttrColumns()

  Returns:
    attribute names related to the columns to export

### getExportColumns

    public final java.util.ArrayList getExportColumns()

  Returns:
    columns to export

### getCurrentSortedColumns

    public final java.util.ArrayList getCurrentSortedColumns()

  Returns:
    sorted columns

### getCurrentSortedVersusColumns

    public final java.util.ArrayList getCurrentSortedVersusColumns()

  Returns:
    ordering versus of sorted columns

### getOtherGridParams

    public final java.util.Map getOtherGridParams()

  Returns:
    other grid parameters

### getFilteredColumns

    public final java.util.Map getFilteredColumns()

  Returns:
    filteredColumns; collection of pairs: attributeName, FilterWhereClause[2]

### getServerMethodName

    public final java.lang.String getServerMethodName()

  Returns:
    server method name to invoke on the server

### getMaxRows

    public final int getMaxRows()

  Returns:
    maximum number of rows to export

### setServerMethodName

    public final void setServerMethodName(java.lang.String serverMethodName)

  Set the server method name to invoke on the server.

  Parameters:
    `serverMethodName` - server method name to invoke on the server

### getGridDataLocator

    public final GridDataLocator getGridDataLocator()

  Returns:
    grid data locator

### setGridDataLocator

    public final void setGridDataLocator(GridDataLocator gridDataLocator)

  Set the grid data locator.

  Parameters:
    `gridDataLocator` - grid data locator

### getColumnsType

    public final java.util.Hashtable getColumnsType()

  Returns:
    columns type

### getColumnsWidth

    public final java.util.Hashtable getColumnsWidth()

  Returns:
    columns width

### getValueObjectType

    public final java.lang.Class getValueObjectType()

  Returns:
    valueObjectType v.o. type

### getTopRows

    public final java.util.ArrayList getTopRows()

  Returns:
    list of locked rows at the top of the grid

### getBottomRows

    public final java.util.ArrayList getBottomRows()

  Returns:
    list of locked rows at the bottom of the grid

### setShowFilteringConditions

    public final void setShowFilteringConditions(boolean showFilteringConditions)

  Used to add a filter panel on top of the grid, in order to show filtering conditions. This pane is visibile only whether "showFilteringConditions" is set to `true` and there is at least one filtering condition applied.

  Parameters:
    `showFilteringConditions` - used to add a filter panel on top of the grid, in order to show filtering conditions

### getTitle

    public final java.lang.String getTitle()

  Returns:
    export document title (optional)

### setTitle

    public final void setTitle(java.lang.String title)

  Set the export document title.

  Parameters:
    `title` - export document title

### getFilteringConditions

    public java.lang.String[] getFilteringConditions()

### getCallbacks

    public final GridExportCallbacks getCallbacks()

### setCallbacks

    public final void setCallbacks(GridExportCallbacks callbacks)

  Set callbacks callbacks to invoke when exporting grid.

  Parameters:
    `callbacks` - callbacks to invoke when exporting grid

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD